Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007623 [DCSS] Bug Report minor unable to reproduce 2013-10-10 23:41 2013-12-07 17:16
Reporter WeiSong View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007623: Message "Warning: monster 'it' is not yet fully coded. (4x)" on stair descent.
Description I assume this is just an issue with a monster that shouldn't be in the .13 release or something.

Playing as WeiSong on CAO Webtiles. The character in question is a Tengu Skald (love the new skald starting book, btw). I got this message while going downstairs to D:23 in Dungeon Crawl Stone Soup 0.13-b1-54-gfe00c74:

You fly downwards.
 Warning: monster 'it' is not yet fully coded. (4x)
_There is a stone staircase leading up here.

I haven't ran into anything out of place yet, but there is a vault-type deal with elemental wellsprings and such on it (a metal wall fortress surrounded by deep water with traps around and in it).
Additional Information
Tags No tags attached.
Attached Files ? file icon Kelly.cs [^] (1,226,854 bytes) 2013-10-28 23:05

- Relationships

-  Notes
(0024180)
KiloByte (manager)
2013-10-11 00:40

I see no vault that would place them.

Could you please backup your save and post its URL?
(0024182)
WeiSong (reporter)
2013-10-11 02:53

Sure thing!

http://crawl.akrasiac.org/saves/WeiSong-crawl-0.13-131010-2052.tar.bz2 [^]
(0024264)
Hurkyl (reporter)
2013-10-28 23:06
edited on: 2013-10-28 23:26

I have seen this message as well. I am playing offline, tiles, 0.13, on Windows 7. I've attached a save.

There is an elemental wellspring on the level. The Vaults entry is on the floor.

(0024626)
MarvinPA (developer)
2013-12-07 17:16

I think this was fixed (the issue was that wellsprings were still in the water spawn list in 0.13).

- Issue History
Date Modified Username Field Change
2013-10-10 23:41 WeiSong New Issue
2013-10-11 00:40 KiloByte Note Added: 0024180
2013-10-11 02:53 WeiSong Note Added: 0024182
2013-10-28 23:05 Hurkyl File Added: Kelly.cs
2013-10-28 23:06 Hurkyl Note Added: 0024264
2013-10-28 23:06 Hurkyl Note Edited: 0024264
2013-10-28 23:21 Hurkyl Note Edited: 0024264
2013-10-28 23:26 Hurkyl Note Edited: 0024264
2013-12-07 17:16 MarvinPA Note Added: 0024626
2013-12-07 17:16 MarvinPA Status new => resolved
2013-12-07 17:16 MarvinPA Fixed in Branch => 0.14 development branch
2013-12-07 17:16 MarvinPA Resolution open => done
2013-12-07 17:16 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker